{#
/**
 * @file
 * Implementation for a page title.
 *
 * Available properties:
 * - display: When you need a heading to stand out, consider using a display
 *   heading—a larger, slightly more opinionated heading style.
 *   optional values are:
 *   ( display-1, display-2, display-3, display-4, display-5, display-6)
 * - page_title_utility_classes: An array of utility classes. Use this property to add
 *   extra Bootstrap utility classes or your custom class over to this component.
 *
 * Available variables:
 * - title_attributes: HTML attributes for the page title element.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title: The page title, for use in the actual content.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 *
 * Changes against Radix:
 * - Changed the page title classes
#}
{%
  set page_title_classes = [
    'page__title'
  ]|merge(page_title_utility_classes ?: [])
%}

{% set title_attributes = title_attributes ?: create_attribute() %}

{{ title_prefix }}

{% if title|render|striptags|trim %}
  {%
    include 'radix:heading' with {
      heading_html_tag: 'h1',
      content: title,
      display: display|default(''),
      heading_utility_classes: page_title_classes,
    } only
  %}
{% endif %}

{{ title_suffix }}
